"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _uiRipple = require("@wsdm/ui-ripple");

var _uiRipple2 = _interopRequireDefault(_uiRipple);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function Button(_ref) {
  var ripple = _ref.ripple,
      rounded = _ref.rounded,
      raised = _ref.raised,
      outlined = _ref.outlined,
      rippleColor = _ref.rippleColor,
      children = _ref.children,
      className = _ref.className,
      style = _ref.style,
      onClick = _ref.onClick;
  return _react2.default.createElement(
    "button",
    {
      className: "\n      relative\n      btn\n      overflow-hidden\n      " + (rounded ? "border-radius-2" : "border-radius-0") + "\n      " + (raised ? "btn--raised" : "") + "\n      " + (outlined ? "btn--outlined" : "border-none") + "\n      " + (className || (outlined ? "px1" : "px1 py05")) + "\n    ",
      style: style,
      onClick: onClick
    },
    children,
    ripple && _react2.default.createElement(_uiRipple2.default, { color: rippleColor || "rgba(0,0,0,0.2)" })
  );
};

Button.propTypes = {
  ripple: _propTypes2.default.bool,
  rounded: _propTypes2.default.bool,
  raised: _propTypes2.default.bool,
  outlined: _propTypes2.default.bool,
  rippleColor: _propTypes2.default.string,
  children: _propTypes2.default.oneOfType([_propTypes2.default.arrayOf(_propTypes2.default.node), _propTypes2.default.node]),
  className: _propTypes2.default.string,
  style: _propTypes2.default.object,
  onClick: _propTypes2.default.func
};

Button.defaultProps = {
  rounded: true
};

exports.default = Button;