import React from "react";
import PropTypes from "prop-types";
import Ripple from "@wsdm/ui-ripple";

var Button = function Button(_ref) {
  var ripple = _ref.ripple,
      rounded = _ref.rounded,
      raised = _ref.raised,
      outlined = _ref.outlined,
      rippleColor = _ref.rippleColor,
      children = _ref.children,
      className = _ref.className,
      style = _ref.style,
      onClick = _ref.onClick;
  return React.createElement(
    "button",
    {
      className: "\n      relative\n      btn\n      overflow-hidden\n      " + (rounded ? "border-radius-2" : "border-radius-0") + "\n      " + (raised ? "btn--raised" : "") + "\n      " + (outlined ? "btn--outlined" : "border-none") + "\n      " + (className || (outlined ? "px1" : "px1 py05")) + "\n    ",
      style: style,
      onClick: onClick
    },
    children,
    ripple && React.createElement(Ripple, { color: rippleColor || "rgba(0,0,0,0.2)" })
  );
};

Button.propTypes = {
  ripple: PropTypes.bool,
  rounded: PropTypes.bool,
  raised: PropTypes.bool,
  outlined: PropTypes.bool,
  rippleColor: PropTypes.string,
  children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]),
  className: PropTypes.string,
  style: PropTypes.object,
  onClick: PropTypes.func
};

Button.defaultProps = {
  rounded: true
};

export default Button;